# Class StateScript

java.lang.Object
org.jmol.modelset.StateScript

public class StateScript extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`inDefinedStateBlock`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`deleteAtoms(int modelIndex, BS bsBonds, BS bsAtoms)`
`boolean`
`isConnect()`
`boolean`
`isValid()`
`void`
`setModelIndex(int index)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### inDefinedStateBlock

public boolean inDefinedStateBlock

## Method Details

### isValid

public boolean isValid()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### isConnect

public boolean isConnect()

### deleteAtoms

public boolean deleteAtoms(int modelIndex, BS bsBonds, BS bsAtoms)

### setModelIndex

public void setModelIndex(int index)